Forge Home

fail2ban_exporter

This module install Prometheus Exporter to Fail2ban

2,047 downloads

1,396 latest version

5.0 quality score

Version information

  • 1.0.1 (latest)
  • 1.0.0
  • 0.1.3
  • 0.1.2
  • 0.1.1
  • 0.1.0
released May 21st 2020
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2016.4.x
  • Puppet >= 4.10.0 < 7.0.0
  • , , , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'maeq-fail2ban_exporter', '1.0.1'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add maeq-fail2ban_exporter
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install maeq-fail2ban_exporter --version 1.0.1

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

maeq/fail2ban_exporter — version 1.0.1 May 21st 2020

maeq-fail2ban_exporter

Build Status Travis Puppet Forge Puppet Forge - downloads Puppet Forge - scores Apache-2 License

Table of Contents

Description

This module automates the install of Fail2ban Exporter.

Usage

For more information see REFERENCE.md.

Install Fail2ban Exporter

Puppet

include fail2ban_exporter

Examples

Personal python installation

fail2ban_exporter::manage_python: false

Development

This project contains tests for rspec-puppet.

Quickstart to run all linter and unit tests:

bundle install --path .vendor/
bundle exec rake test